当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]我是一个新手,想知道怎么从KDE3.5.8升级到KDE4
帖子发表于 : 2008-01-11 22:14 

注册: 2007-12-13 11:42
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
我是刚学linux的,所以是从命令行慢慢装得KDE,现在是KDE3.5.8了,不知道能不能通过升级来升级到KDE4正式版,我加了99的源,现在正在更新:

下列的软件包的版本将保持不变:
kcontrol kdebase kdebase-bin kdebase-kio-plugins kdesktop kdm kfind
konqueror libxine-main1
下列的软件包将被升级:
kappfinder kate kdebase-data kdepasswd kdeprint khelpcenter kicker klipper
kmenuedit konqueror-nsplugins konsole kpager kpersonalizer ksmserver ksplash
ksysguard ksysguardd ktip kwin libcupsimage2 libcupsys2 libkonq4 libpoppler2
libxine-extracodecs openssh-client tzdata w32codecs xfonts-wqy
共升级了 28 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 9 个软件未被升 级。

不知道这样能不能升级到KDE4,如不能请大家多多帮忙小弟!!多谢了!! :roll:


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-01-11 22:55 
头像

注册: 2006-10-21 12:03
帖子: 1746
地址: Shanghai
送出感谢: 0 次
接收感谢: 0 次
这样子不会变成 kde4
你留心了没有:kde4 都是后面加“4”的,比如 kdebase -> kdebase4


_________________
.

私人空间
附有 Magic Linux 2.1 最新开发日志~
引用:


미안하다, 사랑한다




欢迎来 #xfce-cn 中文频道~~


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-01-11 23:18 

注册: 2007-12-13 11:42
帖子: 3
送出感谢: 0 次
接收感谢: 0 次
:oops: :cry: 果真不行!那怎么办呢?


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-01-11 23:28 
头像

注册: 2005-12-08 16:53
帖子: 212
送出感谢: 0 次
接收感谢: 0 次
如果你3.5.8用着好好的,不要急着拿KDE4替换,强烈建议。

KDE4与其说是KDE 4.0.0,不如说是KDE4 1.0。


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-01-13 1:16 
头像

注册: 2007-12-19 21:42
帖子: 1163
送出感谢: 0 次
接收感谢: 0 次
新手还是不要折腾这个了…………


_________________
北極熊都是左撇子…………


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-01-14 17:27 
头像

注册: 2007-07-31 23:04
帖子: 85
送出感谢: 0 次
接收感谢: 0 次
还是等出KDE4.1的时候在尝鲜吧。现在尝试风险太大。


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-01-14 17:52 

注册: 2007-12-19 8:20
帖子: 95
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install kde4-core
反正跟kde3是并列的,用的不爽可以删除。

注意,
第一,如果以前装过KDE4的测试版本,要先删除。
第二,如果你的源里面没有,要修改源(cn99的已经有了,别的应该也已经有了)
第三,不要抱太大的期望。


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2008-01-14 19:26 
头像

注册: 2007-10-06 18:40
帖子: 4313
送出感谢: 0 次
接收感谢: 5
naiveuser 写道:
sudo apt-get install kde4-core
反正跟kde3是并列的,用的不爽可以删除。

注意,
第一,如果以前装过KDE4的测试版本,要先删除。
第二,如果你的源里面没有,要修改源(cn99的已经有了,别的应该也已经有了)
第三,不要抱太大的期望。

安装时最好用
代码:
sudo aptitude install kde4-core

删除时只需要
代码:
sudo aptitude remove kde4-core

就把自动安装的包一起删除了


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2008-01-15 23:37 

注册: 2007-12-19 8:20
帖子: 95
送出感谢: 0 次
接收感谢: 0 次
syrano 写道:
naiveuser 写道:
sudo apt-get install kde4-core
反正跟kde3是并列的,用的不爽可以删除。

注意,
第一,如果以前装过KDE4的测试版本,要先删除。
第二,如果你的源里面没有,要修改源(cn99的已经有了,别的应该也已经有了)
第三,不要抱太大的期望。

安装时最好用
代码:
sudo aptitude install kde4-core

删除时只需要
代码:
sudo aptitude remove kde4-core

就把自动安装的包一起删除了


都是自动安装自动删除,apt-get、aptitude、新立得等等,有区别么?

好在哪里?


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2008-01-16 9:40 
头像

注册: 2007-10-06 18:40
帖子: 4313
送出感谢: 0 次
接收感谢: 5
aptitude
安装kde4-core , ubuntu-desktop这样的虚拟包时会把依赖包安装上.
拆卸时,也会把自动安装的依赖包全删除
而apt-get
安装kde4-core , ubuntu-desktop这样的虚拟包时也会把依赖包安装上.
但拆卸时,只会删除kde4-core 或 ubuntu-desktop 这一个虚拟包,而其他安装了的包都不会拆卸.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译